<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstLoggedInUserPosition Method (IEdmUserMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr5 Interface : GetFirstLoggedInUserPosition Method (IEdmUserMgr5)

Visual Basic
C#
C++/CLI

bsVaultNames
  Optional newline-separated list of the names of the vaults for which to enumerate logged-in users; "" to enumerate users that are logged in to the current vault only

Starts an enumeration of the users that are logged in to the specified vaults.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstLoggedInUserPosition( _
       ByVal bsVaultNames As System.String _
    ) As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstLoggedInUserPosition(
       System.string bsVaultNames
    )

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstLoggedInUserPosition(
    &   System.String^ bsVaultNames
    )

#### Parameters

bsVaultNames
  Optional newline-separated list of the names of the vaults for which to enumerate logged-in users; "" to enumerate users that are logged in to the current vault only

#### Return Value

IEdmPos5; position of the first logged-in user in the enumeration

# Example

Create New Vault (VB.NET)
Create New Vault (C#)

# Remarks

After calling this method, pass the returned position of the first logged-in user to IEdmUserMgr5::GetNextLoggedInUser to get the first logged-in user in this list. Then call IEdmUserMgr5::GetNextLoggedInUser repeatedly to get the rest of the users that are logged in to the vault.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Call IEdmUserMgr5::GetLoggedInUser to only get the user who is currently running this program in the vault.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr5 Interface
IEdmUserMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2